<template>
    <div class="c-pulltorefresh" :style="`height:${pullDistance}px;`" :class="dynamicClass">
      <div class="c-pulltorefresh____status -is-down"></div>
      <div class="c-pulltorefresh____status -is-up"></div>
      <div class="c-pulltorefresh____status -is-loading"></div>
    </div>
</template>

<script>
  export default {
    props: {
      'pullDistance': {
        // default: 10,
        type: Number
      },
      'hasTransition': {
        default: false,
        type: Boolean
      }
    },
    data () {
      return {
      }
    },
    computed: {
      dynamicClass () {
        return {
          '-has-height-transition': this.hasTransition
        }
      }
    },
    methods: {
    }
  }
</script>
